<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__l2cap__le__api__functions" kind="group">
    <compoundname>l2cap_le_api_functions</compoundname>
    <title>BLE</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__l2cap__le__api__functions_1ga28268b114d35484254e29696a165f72a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_cancel_ble_connect_req</definition>
        <argsstring>(wiced_bt_device_address_t rem_bda)</argsstring>
        <name>wiced_bt_l2cap_cancel_ble_connect_req</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>rem_bda</declname>
        </param>
        <briefdescription>
<para>Cancel a pending connection attempt to a BLE device. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">rem_bda</parametername>
</parameternamelist>
<parameterdescription>
<para>: BD Address of remote</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>: TRUE if connection was cancelled </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="933" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__le__api__functions_1gacfa5536d207a4b9bb796e31ad37b09b6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_update_ble_conn_params</definition>
        <argsstring>(wiced_bt_device_address_t rem_bdRa, uint16_t min_int, uint16_t max_int, uint16_t latency, uint16_t timeout)</argsstring>
        <name>wiced_bt_l2cap_update_ble_conn_params</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>rem_bdRa</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>min_int</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>max_int</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>latency</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>timeout</declname>
        </param>
        <briefdescription>
<para>Update BLE connection parameters. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">rem_bdRa</parametername>
</parameternamelist>
<parameterdescription>
<para>: Remote BD Address </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">min_int</parametername>
</parameternamelist>
<parameterdescription>
<para>: Min interval </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">max_int</parametername>
</parameternamelist>
<parameterdescription>
<para>: Max interval </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">latency</parametername>
</parameternamelist>
<parameterdescription>
<para>: Latency value </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">timeout</parametername>
</parameternamelist>
<parameterdescription>
<para>: Timeout value</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>: TRUE if update started </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="947" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__le__api__functions_1ga84c66f4df107063ddb0adc482b5491ae" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_enable_update_ble_conn_params</definition>
        <argsstring>(wiced_bt_device_address_t rem_bda, wiced_bool_t enable)</argsstring>
        <name>wiced_bt_l2cap_enable_update_ble_conn_params</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>rem_bda</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Update BLE connection parameters. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">rem_bda</parametername>
</parameternamelist>
<parameterdescription>
<para>Remote Bd Address </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">enable</parametername>
</parameternamelist>
<parameterdescription>
<para>Enable Flag</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>: TRUE if update started </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="959" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__le__api__functions_1ga9b246f3663cee7a53e788c47172413d9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_l2cap_get_ble_conn_role</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr)</argsstring>
        <name>wiced_bt_l2cap_get_ble_conn_role</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <briefdescription>
<para>This function returns the connection role. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>BD Address</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>link role.( 0 =&gt; HCI_ROLE_MASTER and 1 =&gt; HCI_ROLE_SLAVE) </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="969" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__le__api__functions_1ga44312ab4c397243d0b40b55851d34a62" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_l2cap_le_register</definition>
        <argsstring>(uint16_t le_psm, wiced_bt_l2cap_le_appl_information_t *p_cb_information)</argsstring>
        <name>wiced_bt_l2cap_le_register</name>
        <param>
          <type>uint16_t</type>
          <declname>le_psm</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__l2cap__le__appl__information__t">wiced_bt_l2cap_le_appl_information_t</ref> *</type>
          <declname>p_cb_information</declname>
        </param>
        <briefdescription>
<para>Other layers call this function to register L2CAP services for LE_PSM. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">le_psm</parametername>
</parameternamelist>
<parameterdescription>
<para>: LE PSM value </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_cb_information</parametername>
</parameternamelist>
<parameterdescription>
<para>: L2CAP cb info</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>LE_PSM to use or zero if error. Typically the LE_PSM returned is the same as was passed in, but for an outgoing-only connection a "virtual" LE_PSM is returned and should be used in the calls to <ref kindref="member" refid="group__l2cap__le__api__functions_1gaf1842a34af4edc5e83e6506bc33da982">wiced_bt_l2cap_le_connect_req()</ref> and <ref kindref="member" refid="group__l2cap__le__api__functions_1ga9166cfd9f8619d2ecb2414d6ba3df7b7">wiced_bt_l2cap_le_deregister()</ref>. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="983" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__le__api__functions_1ga9166cfd9f8619d2ecb2414d6ba3df7b7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_le_deregister</definition>
        <argsstring>(uint16_t le_psm)</argsstring>
        <name>wiced_bt_l2cap_le_deregister</name>
        <param>
          <type>uint16_t</type>
          <declname>le_psm</declname>
        </param>
        <briefdescription>
<para>Other layers call this function to deregister L2CAP services for LE_PSM. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">le_psm</parametername>
</parameternamelist>
<parameterdescription>
<para>LE PSM value</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE for success, FALSE for failure </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="994" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__le__api__functions_1gaf1842a34af4edc5e83e6506bc33da982" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_l2cap_le_connect_req</definition>
        <argsstring>(uint16_t le_psm, wiced_bt_device_address_t p_bd_addr, wiced_bt_ble_address_type_t bd_addr_type, wiced_bt_ble_conn_mode_t conn_mode, uint16_t rx_mtu, uint8_t req_security, uint8_t req_encr_key_size, tDRB *p_rx_drb)</argsstring>
        <name>wiced_bt_l2cap_le_connect_req</name>
        <param>
          <type>uint16_t</type>
          <declname>le_psm</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>p_bd_addr</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1ga97897f7408c23723933e9d21815c7294">wiced_bt_ble_address_type_t</ref></type>
          <declname>bd_addr_type</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1ga4309edd4a7a1c7f30bdc57d8107e84ab">wiced_bt_ble_conn_mode_t</ref></type>
          <declname>conn_mode</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>rx_mtu</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>req_security</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>req_encr_key_size</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structt_d_r_b">tDRB</ref> *</type>
          <declname>p_rx_drb</declname>
        </param>
        <briefdescription>
<para>Higher layers call this function to create an L2CAP connection for LE_PSM. </para>
        </briefdescription>
        <detaileddescription>
<para>Note that the connection is not established at this time, but connection establishment gets started. The callback function will be invoked when connection establishes or fails.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">le_psm</parametername>
</parameternamelist>
<parameterdescription>
<para>: LE PSM value </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: BD Address </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr_type</parametername>
</parameternamelist>
<parameterdescription>
<para>: BLE_ADDR_PUBLIC or BLE_ADDR_RANDOM </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">conn_mode</parametername>
</parameternamelist>
<parameterdescription>
<para>: BLE_CONN_MODE_HIGH_DUTY or BLE_CONN_MODE_LOW_DUTY </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">rx_mtu</parametername>
</parameternamelist>
<parameterdescription>
<para>: Rx MTU value (must be &lt;= ACL_POOL_SIZE) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">req_security</parametername>
</parameternamelist>
<parameterdescription>
<para>: Security required </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">req_encr_key_size</parametername>
</parameternamelist>
<parameterdescription>
<para>: key size </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_rx_drb</parametername>
</parameternamelist>
<parameterdescription>
<para>: a DRB to receive peer's data. MUST be large enough to hold RX MTU data</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>the CID of the connection, or 0 if it failed to start </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="1015" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__le__api__functions_1ga52799083a3026d9b6ff86416e105444c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_le_connect_rsp</definition>
        <argsstring>(wiced_bt_device_address_t p_bd_addr, uint8_t id, uint16_t lcid, uint16_t result, uint16_t rx_mtu, tDRB *p_rx_drb)</argsstring>
        <name>wiced_bt_l2cap_le_connect_rsp</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>p_bd_addr</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>id</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>lcid</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>result</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>rx_mtu</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structt_d_r_b">tDRB</ref> *</type>
          <declname>p_rx_drb</declname>
        </param>
        <briefdescription>
<para>Higher layers call this function to accept an incoming LE L2CAP connection, for which they had gotten an connect indication callback. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: BD Address </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">id</parametername>
</parameternamelist>
<parameterdescription>
<para>: ID received from wiced_bt_l2cap_le_connect_indication_cback_t callback. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">lcid</parametername>
</parameternamelist>
<parameterdescription>
<para>: Local CID </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">result</parametername>
</parameternamelist>
<parameterdescription>
<para>: L2CAP result codes (<ref kindref="member" refid="group__l2cap_1L2CAP_CONN_RESULT">L2CAP_CONN_RESULT</ref>) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">rx_mtu</parametername>
</parameternamelist>
<parameterdescription>
<para>: Rx MTU value (must be &lt;= ACL_POOL_SIZE) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_rx_drb</parametername>
</parameternamelist>
<parameterdescription>
<para>: a DRB to receive peer's data. MUST be large enough to hold RX MTU data</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE for success, FALSE for failure </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="1035" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__le__api__functions_1gad6cc529f5a1a6359daf1c0da80b5dc0a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_le_disconnect_req</definition>
        <argsstring>(uint16_t lcid)</argsstring>
        <name>wiced_bt_l2cap_le_disconnect_req</name>
        <param>
          <type>uint16_t</type>
          <declname>lcid</declname>
        </param>
        <briefdescription>
<para>Higher layers call this function to disconnect a LE COC channel. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">lcid</parametername>
</parameternamelist>
<parameterdescription>
<para>Local CID value</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if disconnect sent, else FALSE </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="1048" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__le__api__functions_1ga29435ef069ceca748a5c1e67c00799d0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_le_disconnect_rsp</definition>
        <argsstring>(uint16_t lcid)</argsstring>
        <name>wiced_bt_l2cap_le_disconnect_rsp</name>
        <param>
          <type>uint16_t</type>
          <declname>lcid</declname>
        </param>
        <briefdescription>
<para>Higher layers call this function to acknowledge the disconnection of a LE COC channel. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">lcid</parametername>
</parameternamelist>
<parameterdescription>
<para>Local CID value</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>void </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="1059" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__le__api__functions_1ga8724a2d6b1f7c967c7fb8caff8b045ff" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_l2cap_le_data_write</definition>
        <argsstring>(uint16_t cid, uint8_t *p_data, uint16_t buf_len)</argsstring>
        <name>wiced_bt_l2cap_le_data_write</name>
        <param>
          <type>uint16_t</type>
          <declname>cid</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_data</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>buf_len</declname>
        </param>
        <briefdescription>
<para>Send data over LE connection-oriented channel. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">cid</parametername>
</parameternamelist>
<parameterdescription>
<para>: CID value </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_data</parametername>
</parameternamelist>
<parameterdescription>
<para>: Input buffer </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">buf_len</parametername>
</parameternamelist>
<parameterdescription>
<para>: p_data buffer size</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>L2CAP_DATAWRITE_SUCCESS, if data accepted, else FALSE L2CAP_DATAWRITE_CONGESTED, if data accepted and the channel is congested L2CAP_DATAWRITE_FAILED, if error </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="1073" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__le__api__functions_1gab1458bd4cd6e5234b615d3311917bd92" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_le_set_user_congestion</definition>
        <argsstring>(uint16_t lcid, wiced_bool_t is_congested)</argsstring>
        <name>wiced_bt_l2cap_le_set_user_congestion</name>
        <param>
          <type>uint16_t</type>
          <declname>lcid</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
          <declname>is_congested</declname>
        </param>
        <briefdescription>
<para>Higher layers call this function to tell if the connection is congested or not. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">lcid</parametername>
</parameternamelist>
<parameterdescription>
<para>: Local CID value </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">is_congested</parametername>
</parameternamelist>
<parameterdescription>
<para>: TRUE, if congested</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if command processed OK </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="1085" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__le__api__functions_1ga97495805945b9075eec788d99a1ce8c4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_l2cap_le_get_peer_mtu</definition>
        <argsstring>(uint16_t lcid)</argsstring>
        <name>wiced_bt_l2cap_le_get_peer_mtu</name>
        <param>
          <type>uint16_t</type>
          <declname>lcid</declname>
        </param>
        <briefdescription>
<para>Higher layers call this function to get peer MTU. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">lcid</parametername>
</parameternamelist>
<parameterdescription>
<para>: Local CID value</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Peer MTU or 0. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="1095" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__le__api__functions_1ga933b228e0a888ef7eb7671a2b3b7bccd" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_l2cap_le_determ_secur_rsp</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr, uint8_t req_secur, uint8_t req_encr_key_size)</argsstring>
        <name>wiced_bt_l2cap_le_determ_secur_rsp</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>req_secur</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>req_encr_key_size</declname>
        </param>
        <briefdescription>
<para>Higher layers call this function to check if the current device security settings are sufficient to continue with call establishment. </para>
        </briefdescription>
        <detaileddescription>
<para>It is called by call acceptor on reception of LE Credit Based Connection Request.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: BD Address </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">req_secur</parametername>
</parameternamelist>
<parameterdescription>
<para>: Security required </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">req_encr_key_size</parametername>
</parameternamelist>
<parameterdescription>
<para>: Key size</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>L2CAP_CONN_OK/L2CAP_BLE_CONN_BAD_AUTHENT/ L2CAP_BLE_CONN_BAD_KEY_SIZE/L2CAP_BLE_CONN_BAD_ENCRYPT/ L2CAP_CONN_NO_RESOURCES. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="1113" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>API's used for LE <ref kindref="compound" refid="group__l2cap">L2CAP</ref>. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>